Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Python
from latitudesh_python_sdk import Latitudesh import os with Latitudesh( bearer=os.getenv("LATITUDESH_BEARER", ""), ) as latitudesh: res = latitudesh.kubernetes_clusters.list_kubernetes_clusters(project_id="<id>") # Handle response print(res)
200
Success
{ "data": [ { "type": "kubernetes_clusters", "id": "kc_pRMLydp0dQKr1", "attributes": { "name": "my-cluster", "phase": "Provisioned", "ready": true, "infrastructure_ready": true, "control_plane_ready": true, "message": "Cluster is ready", "steps": [ { "name": "infrastructure", "status": "completed" }, { "name": "control_plane", "status": "completed" }, { "name": "workers", "status": "completed" } ], "last_status_change": "2026-01-15T10:35:00Z", "created_at": "2026-01-15T10:30:00Z" } } ] }
Lists all Kubernetes clusters for a project.
The project ID to filter clusters by
Response schema for listing clusters (uses summary representation)
Show child attributes
Was this page helpful?